[Overview][Classes][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.BeforeDestruction

BeforeDestruction - code to execute before destruction of Control: performs inherited Destroying method

## Declaration

Source position: lclclasses.pp line 47

`public procedure TLCLComponent.BeforeDestruction; override;`

## See also

TComponent.Destroying

The latest version of this document can be found at lazarus-ccr.sourceforge.net.